import {select, range} from 'd3';

import {fruit} from './fruit';
//svg
const svg = select('svg');
const width = +svg.attr('width');

//data

const makeFruits = type => ({type,
                            id: Math.random()});

let fruits = range(5)
	.map(() => makeFruits('apple'));

//render

const render = () => {fruit(svg, 
                            {fruits, 
                             height: +svg.attr('height')})
                     };
//routine

render();
setTimeout(() => {fruits.pop();
                  render()}, 1000);
setTimeout(() =>{ fruits[2].type = 'lemon';
                 render()}, 2000);
setTimeout(() => {
  fruits = fruits.filter((d, i) => i != 1 );
  render();
  }, 3300);


